$Config::config = {

  # Satellite configuration info.  Run 'newMissionInfo.pl' to generate /pub/mission/config/brnFil files from this.
  'satellite' => {

                  'pmission'  => 'champ', # prototype mission
                  'leoname'   => 'CHAM',  # used in PubFile.pm and elsewhere -- leo number is interpolated into this string
                  'id_num'    => [906],   # Bernese id number
                  'bufr_id'   => [41],    # BUFR file id numbers, assigned by WMO and/or Dave Offiler, UKMET
                  'cospar'    => ['2000-039B'], # COSPAR number.  ILRS YYXXXAA -> COSPAR YYYY-XXXA (ex 0702601 -> 2007-026A) MISSION NAME
                  'mass'      => [400],   # mass in kg of satellite
                  'area'      => [4],     # Square area of velocity direction (m**2)
                  'rectype'   => 'BLACKJACK',  # Name of receiver for Bernese tables

                  'antennas'  =>
                    {
                     POD3 =>
                     # Bernese spacecraft coordinates:
                     # X, Y, Z (m) +X is (nominal) velocity direction, +Z is (nominal) Earth/nadir direction

                     {'offset'    => [-1.4880, 0.0000, -0.3928],

                      # boresight and azimuth define the North East Up coordinate system used in phase center offsets
                      'boresight' => [ 0,  0, -1], # DX, DY, DZ (m)  (Approximate:  GZA_align.txt is slightly different)
                      'azimuth'   => [ 1,  0,  0], # X, Y, Z (points in the 'zero' of the azimuth direction)

                      # The antenna offsets given by GFZ include the phase center offset, so make these zero.
                      # TVH making these match the phasectrs from Bern's PCV_COD.I08 file
                    #  'phasectr'  => [0.0000, 0.0000, 0.0780, 0.0000, 0.0000, 0.0960], # L1 (North, East, Up), L2 (North, East, Up) (m)
                      'phasectr'  => [0.0015, 0.0006,-0.0070, 0.0010, 0.0009, 0.0223], # L1 (North, East, Up), L2 (North, East, Up) (m)
                      'fullname'  => 'CHAM DORNE MARGOLIN3', # we use DORNE MARGOLIN R as the antenna for CHAMP, for historical reasons...
                      'id'        => 3,
                    },

                     # Antenna ID 4 data are from the same antenna as ant id 3 for CHAMP! (this is just a copy of the above antenna)
                     POD4 =>
                     # Bernese spacecraft coordinates:
                     # X, Y, Z (m) +X is (nominal) velocity direction, +Z is (nominal) Earth/nadir direction

                     {'offset'    => [-1.4880, 0.0000, -0.3928], # X, Y, Z (m)

                      # boresight and azimuth define the North East Up coordinate system used in phase center offsets
                      'boresight' => [ 0,  0, -1], # DX, DY, DZ (m)  (Approximate:  GZA_align.txt is slightly different)
                      'azimuth'   => [ 1,  0,  0], # X, Y, Z (points in the 'zero' of the azimuth direction)

                      # TVH making these match the phasectrs from Bern's PCV_COD.I08 file
                      'phasectr'  => [0.0015, 0.0006,-0.0070, 0.0010, 0.0009, 0.0223], # L1 (North, East, Up), L2 (North, East, Up) (m)
                      'fullname'  => 'CHAM DORNE MARGOLIN4', # we use DORNE MARGOLIN R as the antenna for CHAMP, for historical reasons...
                      'id'        => 4,
                    },

                     OCC0 =>
                     {'offset'    => [-1.6431, 0.0000, -0.0646],
                      'boresight' => [-0.9397, 0.0000,  0.3420], # DX, DY, DZ (m)
                      'azimuth'   => [-0.3420, 0.0000, -0.9397], # X, Y, Z
                      # TVH making these match the phasectrs from Bern's PCV_COD.I08 file for the POD antenna
                      'phasectr'  => [0.0015, 0.0006,-0.0070, 0.0010, 0.0009, 0.0223], # L1 (North, East, Up), L2 (North, East, Up) (m)
                      'fullname'  => 'CHAM DORNE MARGOLIN0', # we use DORNE MARGOLIN R as the antenna for CHAMP, for historical reasons...
                      'id'        => 0,
                    },

                   },

                  # used in the BJTools::findAntennaID routine
                  'antids' =>
                  {'atmGps' => { SATM_OCC => 0, SATM_REF => 0 }, # there may be some problems here, antenna 4 is not mentioned...
                   'ionGps' => { RION_OCC => 0, SION_OCC => 0 },
                   'ionCrx' => { RION_OCC => 0, SION_OCC => 0 },
                   'podGps' => { POD => 3, RION_OCC => 3, SION_OCC => 3 },
                   'podCrx' => { POD => 3, RION_OCC => 3, SION_OCC => 3 }
                 },
                },
};

