$Config::config = {

  # Satellite configuration info
  'satellite' => {
                  'pmission'  => 'grace',    # prototype mission
                  'leoname'   => 'GRC%01d',  # used in PubFile.pm and elsewhere -- leo number is interpolated into this string
                  'id_num'    => [909, 910], # Bernese id numbers
                  'cospar'    => ['2002-012A', '2002-012B'], # COSPAR numbers
                  'mass'      => [487.2, 487.2],     # mass in kg of satellites
                  'area'      => [1.00135, 1.00135], # Square area of velocity direction (m**2) (fore facing side plus boom)
                  'rectype'   => 'BLACKJACK',        # Name of receiver for Bernese tables
                  'antennas'  =>
                    {
                     POD =>
                     {'offset'    => [[-0.0004, -0.0004, -0.45142],  # X, Y, Z (m)
                                      [-0.0004, -0.0004, -0.45142]], # X, Y, Z (m)

                      # boresight and azimuth define the North East Up coordinate system used in phase center offsets
                      'boresight' => [[ 0.0000,  0.0000, -1.00000],  # DX, DY, DZ (m)
                                      [ 0.0000,  0.0000, -1.00000]], # DX, DY, DZ (m)
                      'azimuth'   => [[ 1.0000,  0.0000,  0.00000],  # X, Y, Z (points in the 'zero' of the azimuth direction)
                                      [ 1.0000,  0.0000,  0.00000]], # X, Y, Z (points in the 'zero' of the azimuth direction)

                      #  Define antenna reference point to be the L1 phase offset, so just delta the L2 offset off of this
                      'phasectr'  => [[ 0,0,0, 0,0,0.02423],  # L1 (North, East, Up), L2 (North, East, Up) (m)
                                      [ 0,0,0, 0,0,0.02423]], # L1 (North, East, Up), L2 (North, East, Up) (m)
                      'fullname'  => 'GRACE POD',
                      'id'        => 0,
                    },
                     OCC =>
                     {'offset'    => [[-1.56125,  0.00000, -0.19000],  # X, Y, Z
                                      [-1.56125,  0.00000, -0.19000]], # X, Y, Z
                      'boresight' => [[-1.00000,  0.00000,  0.00000],  # DX, DY, DZ (m)
                                      [-1.00000,  0.00000,  0.00000]], # DX, DY, DZ (m)
                      'azimuth'   => [[ 0.00000,  0.00000, -1.00000],  # X, Y, Z
                                      [ 0.00000,  0.00000, -1.00000]], # X, Y, Z
                      'phasectr'  => [[ 0,0,0, 0,0,0],                 # L1 (North, East, Up), L2 (North, East, Up) (m)
                                      [ 0,0,0, 0,0,0]],                # L1 (North, East, Up), L2 (North, East, Up) (m)
                      'fullname'  => 'GRACE OCC',
                      'id'        => 3,
                    },
                   },

                  # used in the BJTools::findAntennaID routine
                  'antids' =>
                  {'atmGps' => { SATM_OCC => 3 },  # use antenna id 3 for setting atm occs
                   'podGps' => { POD      => 0 },  # use antenna id 0 for POD
                   'podCrx' => { POD      => 0 },  # use antenna id 0 for POD
                   'ionGps' => { SION_OCC => 0, RION_OCC => 0 }, # use ant 0 for ion occs, ignore occ antenna for ion occs for now...
                   'ionCrx' => { SION_OCC => 0, RION_OCC => 0 }, # use ant 0 for ion occs, ignore occ antenna for ion occs for now...
                 },
                },
};

